#
# spec file for package perl-Image-Size (Version 2.992)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Image-Size
License:        Artistic License
Group:          Development/Libraries/Perl
Requires:       perl = %{perl_version}
Autoreqprov:    on
Summary:        A Perl Module to deal with Dimensions of an Image in Several Popular Formats
Version:        2.992
Release:        135.4
Source:         Image-Size-%{version}.tar.bz2
URL:            http://www.cpan.org/authors/id/R/RJ/RJRAY
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Image::Size library is based upon the "wwwis" script written by
Alex Knowles *(alex@ed.ac.uk)*, a tool to examine HTML and add 'width'
and height' parameters to image tags. The sizes are cached internally
based on the file name, so multiple calls on the same file name (images
used in bulleted lists, for example) do not result in repeated
computations.



Authors:
--------
    Randy J. Ray <rjray@blackperl.com>
    Alex Knowles <alex@ed.ac.uk>
    Andrew Tong <werdna@ugcs.caltech.edu>
    and others

%debug_package
%prep
%setup -n Image-Size-%{version}
    

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/imgsize
%dir %{perl_vendorlib}/Image
%dir %{perl_vendorlib}/auto/Image
%dir %{perl_vendorarch}/auto/Image
%{perl_vendorlib}/Image/Size.pm
%{perl_vendorlib}/auto/Image/Size
%{perl_vendorarch}/auto/Image/Size
/var/adm/perl-modules/perl-Image-Size
%doc %{_mandir}/man?/*
%doc README README.Win32

%changelog
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 - ro@suse.de
- install to vendor location
* Tue Jul 22 2003 - kssingvo@suse.de
- updated to version 2.992
* Mon Jun 16 2003 - kssingvo@suse.de
- added missing directories
* Mon May 26 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Mon Feb 03 2003 - kssingvo@suse.de
- initial package version 2.991
